## mpich 4.3.2

=== modules/json-c/tests/CMakeLists.txt ===

add_executable(test1Formatted test1.c parse_flags.c parse_flags.h)
target_compile_definitions(test1Formatted PRIVATE TEST_FORMATTED=1)
target_link_libraries(test1Formatted PRIVATE ${PROJECT_NAME})

add_executable(test2Formatted test2.c parse_flags.c parse_flags.h)
target_compile_definitions(test2Formatted PRIVATE TEST_FORMATTED=1)
target_link_libraries(test2Formatted PRIVATE ${PROJECT_NAME})

# https://cmake.org/cmake/help/v3.0/command/add_test.html
# https://pabloariasal.github.io/2018/02/19/its-time-to-do-cmake-right/

include_directories(PUBLIC ${CMAKE_SOURCE_DIR})

foreach(TESTNAME
	test1
	test2
	test4
	testReplaceExisting
	test_cast
	test_charcase
	test_compare
	test_deep_copy
	test_double_serializer
	test_float
	test_int_add
	test_json_pointer
	test_locale
	test_null
	test_parse
	test_parse_int64
	test_printbuf
	test_set_serializer
	test_set_value
	test_util_file
	test_visit)

add_executable(${TESTNAME} ${TESTNAME}.c)
add_test(NAME ${TESTNAME} COMMAND ${PROJECT_SOURCE_DIR}/tests/${TESTNAME}.test)

# XXX using the non-target_ versions of these doesn't work :(
target_include_directories(
  ${TESTNAME}
  PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}
  )
target_link_libraries(
  ${TESTNAME}
  PRIVATE
    ${PROJECT_NAME}
  )

endforeach(TESTNAME)

# Make sure NDEBUG is always undefined for tests
if (UNIX OR MINGW OR CYGWIN)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -UNDEBUG")
endif()

=== modules/hwloc/tests/hwloc/CMakeLists.txt ===
foreach(t api_version backends bind
  bitmap bitmap_compare_inclusion bitmap_first_last_weight bitmap_singlify bitmap_string
  distances get_area_memlocation get_cache_covering_cpuset get_closest_objs get_largest_objs_inside_cpuset
  get_last_cpu_location get_next_obj_covering_cpuset get_obj_below_array_by_type get_obj_covering_cpuset
  get_obj_inside_cpuset get_obj_with_same_locality get_shared_cache_covering_obj
  groups insert_misc iodevs is_thissystem list_components obj_infos object_userdata pci_backend synthetic
  topology_abi topology_allow topology_diff topology_dup topology_restrict type_depth type_sscanf
)
  add_executable(hwloc_${t} hwloc_${t}.c)
  target_link_libraries(hwloc_${t} PRIVATE hwloc)

  add_test(NAME ${t} COMMAND hwloc_${t} WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
  set_tests_properties(${t} PROPERTIES TIMEOUT 10)
endforeach()

foreach(t cpuset_nodeset memattrs cpukinds gl windows_processor_groups)
  add_executable(${t} ${t}.c)
  target_link_libraries(${t} PRIVATE hwloc)

  add_test(NAME ${t} COMMAND ${t} WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
  set_tests_properties(${t} PROPERTIES TIMEOUT 10)
endforeach()

add_executable(xmlbuffer xmlbuffer.c)
target_link_libraries(xmlbuffer PRIVATE hwloc)
add_test(NAME xmlbuffer00 COMMAND xmlbuffer 0 0 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
add_test(NAME xmlbuffer01 COMMAND xmlbuffer 0 1 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
add_test(NAME xmlbuffer10 COMMAND xmlbuffer 1 0 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
add_test(NAME xmlbuffer11 COMMAND xmlbuffer 1 1 WORKING_DIRECTORY ${PROJECT_BINARY_DIR})
set_tests_properties(xmlbuffer00 xmlbuffer01 xmlbuffer10 xmlbuffer11 PROPERTIES TIMEOUT 10)

target_compile_definitions(hwloc_type_sscanf PRIVATE XMLTESTDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/xml/\")

set_tests_properties(get_obj_with_same_locality PROPERTIES ENVIRONMENT HWLOC_TOP_SRCDIR=${TOPDIR})

add_test(NAME lstopo-no-graphics:verbose COMMAND lstopo-no-graphics -v)
add_test(NAME lstopo-no-graphics:groups COMMAND lstopo-no-graphics --windows-processor-groups)
set_tests_properties(lstopo-no-graphics:verbose lstopo-no-graphics:groups PROPERTIES
DISABLED ${HWLOC_SKIP_LSTOPO}
LABELS exe
TIMEOUT 10
)

add_test(NAME hwloc-info:support COMMAND hwloc-info --support)
set_tests_properties(hwloc-info:support PROPERTIES
DISABLED ${HWLOC_SKIP_TOOLS}
LABELS exe
TIMEOUT 10
)


# --- optional tests

if(HWLOC_HAVE_OPENCL)
  add_executable(test_opencl opencl.c)
  target_link_libraries(test_opencl PRIVATE hwloc OpenCL::OpenCL)

  add_test(NAME OpenCL COMMAND test_opencl)
  set_tests_properties(OpenCL PROPERTIES TIMEOUT 10)
endif()

if(HAVE_CUDA)
  add_executable(test_cuda cuda.c)
  target_link_libraries(test_cuda PRIVATE hwloc CUDA::cudart CUDA::cuda_driver)

  add_test(NAME CUDA COMMAND test_cuda)
  set_tests_properties(CUDA PROPERTIES TIMEOUT 10)
endif()

=== modules/libfabric/fabtests/pytest/requirements.txt ===
pytest
pytest-xdist
pytest-html
pyyaml
retrying
junitparser

=== modules/libfabric/contrib/cray/share/requirements.txt ===
junit-xml

=== modules/hwloc/contrib/android/AndroidApp/lstopo/src/main/cpp/CMakeLists.txt ===
# For more information about using CMake with Android Studio, read the
# documentation: https://d.android.com/studio/projects/add-native-code.html

# Sets the minimum version of CMake required to build the native library.

cmake_minimum_required(VERSION 3.7.2)

# Creates and names a library, sets it as either STATIC
# or SHARED, and provides the relative paths to its source code.
# You can define multiple libraries, and CMake builds them for you.
# Gradle automatically packages shared libraries with your APK.

add_library( # Sets the name of the library.
        lib

        # Sets the library as a shared library.
        SHARED

        # Provides a relative path to your source file(s).
        lib.c)

# Searches for a specified prebuilt library and stores the path as a
# variable. Because CMake includes system libraries in the search path by
# default, you only need to specify the name of the public NDK library
# you want to add. CMake verifies that the library exists before
# completing its build.

find_library( # Sets the name of the path variable.
        log-lib

        # Specifies the name of the NDK library that
        # you want CMake to locate.
        log)

# Specifies libraries CMake should link to your target library. You
# can link multiple libraries, such as libraries you define in this
# build script, prebuilt third-party libraries, or system libraries.

target_link_libraries( # Specifies the target library.
        lib

        # Links the target library to the log library
        # included in the NDK.
        ${log-lib})

if(${ANDROID_ABI} STREQUAL x86_64 OR ${ANDROID_ABI} STREQUAL arm64-v8a)
    add_definitions( -DSIZE_LONG=8)
elseif(${ANDROID_ABI} STREQUAL x86 OR ${ANDROID_ABI} STREQUAL armeabi OR ${ANDROID_ABI} STREQUAL armeabi-v7a)
    add_definitions( -DSIZE_LONG=4)
endif()

set(../../../../../../../hwloc/topology.c)
include_directories(../../../../../include)
include_directories(../../../../../../../include)
include_directories(../../../../../../../utils/hwloc)

=== debian/changelog ===
mpich (4.3.2-2) unstable; urgency=medium

  * Switch mpis64el to ch3, Closes: #1102920
  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Nov 2025 13:56:25 +0000

mpich (4.3.2-1) experimental; urgency=medium

  * New upstream release
  * Re-enable pmix
  * SOVERSION now 12.5.2 in links
  * disable-ext-modules-in-autogen.patch: fix for autogen changes
  * No man pages this release?

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Oct 2025 12:21:43 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all

# Drop flags on old gfortran < 10
GF_FLAGS:= $(if $(filter $(shell readlink /usr/bin/gfortran), gfortran-9),, -fallow-invalid-boz -fallow-argument-mismatch)

export MPICHLIB_CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export MPICHLIB_CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export MPICHLIB_CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export MPICHLIB_FFLAGS:=$(shell dpkg-buildflags --get FFLAGS) $(GF_FLAGS)
export MPICHLIB_FCFLAGS:=$(shell dpkg-buildflags --get FFLAGS) -cpp $(GF_FLAGS)
export FFLAGS:=$(shell dpkg-buildflags --get FFLAGS | sed -e 's/-g //') $(GF_FLAGS)
export F77=f77
export TZ=UTC+0
export V=1

FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
export FC

export HIPCXX=clang++-19


# Keep old library naming scheme
export MPILIBNAME=mpich

NO_ROMIO_ARCH:= hurd-amd64 hurd-i386
NO_VERBS_ARCH:= hurd-amd64 hurd-i386
NO_SLURM_ARCH:= hurd-amd64 hurd-i386
NO_FABRIC_ARCH:= hurd-amd64 hurd-i386 powerpc sh4
NO_REAL128_ARCH:= armel armhf mipsel hppa m68k sh4
# Pick one as default, unlisted ones get CH3
CH4_UCX_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libucx-dev *\[([^]]*)\].*/\1/p' debian/control)
CH4_OFI_ARCH:= alpha ppc64 sparc64
HIP_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libamdhip64-dev *\[([^]]*)\].*/\1/p' debian/control)
PMIX_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libpmix-dev *\[([^]]*)\].*/\1/p' debian/control)

ifeq (,$(filter $(DEB_HOST_ARCH),$(NO_VERBS_ARCH)))
	VERBS := --with-ibverbs
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(NO_FABRIC_ARCH)))
	FABRIC := --with-libfabric=/usr
endif
ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_REAL128_ARCH)))
	MPICHLIB_FCFLAGS:=$(MPICHLIB_FCFLAGS) -DNO_REAL128
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(NO_SLURM_ARCH)))
	SLURM := --with-slurm=/usr
endif

#HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(HIP_ARCH)),--with-hip=/usr,)
PMIX:= $(if $(filter $(DEB_TARGET_ARCH), $(PMIX_ARCH)),--with-pmix=/usr/lib/${DEB_HOST_MULTIARCH}/pmix2,)
HIP:= 

UCX:=
ifneq (,$(filter $(DEB_HOST_ARCH),$(CH4_UCX_ARCH)))
	DEVICE:= --with-device=ch4:ucx
	UCX:= --with-ucx=/usr
else ifneq (,$(filter $(DEB_HOST_ARCH),$(CH4_OFI_ARCH)))
	DEVICE:= --with-device=ch4:ofi
else
	DEVICE:= --with-device=ch3
endif

extra_flags += \
	$(VERBS) \
	$(FABRIC) \
	$(SLURM) \
	$(UCX) \
	$(HIP) \
	$(PMIX) \
	$(DEVICE) \
	--with-pm=hydra \
	--with-hwloc-prefix=/usr \
	--with-wrapper-dl-type=none \
	--enable-shared \
	--without-yaksa \
	--prefix=/usr \
	--enable-fortran=all \
	--disable-rpath \
	--disable-wrapper-rpath \
	--sysconfdir=/etc/mpich \
	--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/mpich/lib \
	--includedir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/mpich/include \
	--docdir=/usr/share/doc/mpich


AUTOGENERATED	:= $(patsubst %.in,%,$(wildcard debian/*.in))

%: %.in
	sed 's%@DEB_HOST_MULTIARCH@%$(DEB_HOST_MULTIARCH)%g' < $< > $@

%:
	dh $@

override_dh_autoreconf:
	# need to regenerate configure to cope with --runstatedir
	# (cd src/mpl && autoconf)
	cp -a /usr/share/automake-1.18/depcomp .
	dh_autoreconf ./autogen.sh

override_dh_auto_configure: $(AUTOGENERATED)
	dh_auto_configure -- $(extra_flags) CPPFLAGS="" CFLAGS="" CXXFLAGS="" FFLAGS="$(FFLAGS)" FCFLAGS="$(FFLAGS)" BASH_SHELL=/bin/bash
	dh_auto_configure --sourcedirectory src/pm/hydra -- --with-hwloc-prefix=/usr $(DEVICE) FFLAGS="$(FFLAGS)"
	sed -r -i 's/ +-ffile-prefix-map=[^ ]+//g' src/env/mpifort.bash src/include/mpichinfo.h src/packaging/pkgconfig/mpich.pc src/pm/hydra/hydra_config.h

execute_after_dh_auto_build-indep:
	$(MAKE) -f doc/Makefile.mk

override_dh_auto_install-arch:
	dh_auto_install -a
	dh_auto_install -a --sourcedirectory src/pm/hydra

	# Rename executables (ignore upstream symlinks)
	for i in mpicc mpicxx mpifort; do \
	  (cd debian/tmp/usr/bin/ && mv $$i $$i.mpich); \
	done
    # Rename manpages
    # TODO: manpages not shipped in beta ?
	#for i in mpicc mpicxx mpiexec mpif77 mpifort; do \
	#  (cd debian/tmp/usr/share/man/man1/ && mv $$i.1 $$i.mpich.1);\
	#done

	# Fix incorrect paths in /usr/bin/mpi{cc,cxx,fort}.mpich
	for fn in debian/tmp/usr/bin/mpicc.mpich debian/tmp/usr/bin/mpicxx.mpich \
		debian/tmp/usr/bin/mpifort.mpich; do \
		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
	done

execute_before_dh_auto_clean:
	dh_auto_clean --sourcedirectory doc/installguide
	dh_auto_clean --sourcedirectory doc/userguide

execute_after_dh_auto_clean:
	$(RM) $(AUTOGENERATED) depcomp

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

# Some tests are failing on hurd-amd64 hurd-i386.
# Disable them, to be investiated later
# disable_test_archs = hurd-amd64 hurd-i386
disable_test_archs =
# ifneq (,$(filter $(DEB_HOST_ARCH),$(disable_test_archs)))
override_dh_auto_test:
	@echo "Don't fail on tests in experimental"
	- dh_auto_test || true
# endif

override_dh_gencontrol:
	dh_gencontrol -- -V'archlist:ucx=$(CH4_UCX_ARCH)'

override_dh_dwz:
	@echo "Skip dwx: crashes"

=== debian/tests/control ===
Tests: version
Depends: mpich

Tests: hello1
Depends: gcc, mpich, libmpich-dev

Tests: hello2
Depends: gfortran, mpich, libmpich-dev

Tests: hello4
Depends: gfortran, mpich, libmpich-dev

## mpich 5.0.0~b1

=== modules/ucx/contrib/ibmock/Makefile ===
#
# Copyright (c) NVIDIA CORPORATION & AFFILIATES, 2025. ALL RIGHTS RESERVED.
# See file LICENSE for terms.
#

CC ?= gcc
CFLAGS = -ggdb3 -fPIC -Wall -Wextra -Werror

INCLUDES ?=
BUILD ?= ./build

MAJOR = 1
MINOR = 1
VERSION = $(MAJOR).$(MINOR)

OBJS_IBVERBS = $(addprefix $(BUILD)/, verbs.o config.o stubs.o)
OBJS_EFA = $(addprefix $(BUILD)/, efa.o config.o)

.PHONY: all clean make_dir

all: make_dir $(BUILD)/libibverbs.so.1 $(BUILD)/libefa.so.1

make_dir: $(BUILD)/
$(BUILD)/:
	mkdir -p $(BUILD)

$(OBJS_EFA) $(OBJS_IBVERBS): *.h

$(BUILD)/libibverbs.so: $(OBJS_IBVERBS)
$(BUILD)/libefa.so: $(OBJS_EFA)
$(BUILD)/%.so.$(MAJOR): $(BUILD)/%.so

$(BUILD)/%.o: %.c
	$(CC) -c $(INCLUDES) $(CFLAGS) -o $@ $<

$(BUILD)/%.so:
	$(CC) -shared -o $@ -Wl,--soname='$@.$(VERSION)' $^

$(BUILD)/%.so.$(MAJOR): $(BUILD)/%.so
	ln -sf $(shell basename $<) $@

clean:
	rm -f $(addprefix $(BUILD)/, *.o *.so.* *.so)

=== debian/changelog ===
mpich (5.0.0~b1-1) experimental; urgency=medium

  * New upstream release
  * Now includes docs
  * For test releases sover = 0.0.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Nov 2025 12:02:14 +0000

## mpich 5.0.0~rc1

=== debian/changelog ===
mpich (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Enable HIP
  * d/copyright: yaksa files now merged, removed
  * Don't ship duplicate CHANGES
  * Drop obsolete patch undefined-type-gpu.patch
  * Add libmpich12.lintian-overrides to ignore symbol errors in dev
    release
  * Use pre-computed DEB_HOST_MULTIARCH
  * Drop dh_dwz; handled by dh_fortran
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * chrpath to remove paths

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Dec 2025 07:31:41 +0000

## mpich 5.0.0~rc3

=== debian/changelog ===
mpich (5.0.0~rc3-1) experimental; urgency=medium

  * New upstream release
  * Close old bug, we ship man pages. Closes: #987716
  * Close old bug: OpenMosix no longer exists. Closes: #301553

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 31 Jan 2026 10:48:01 +0000

=== debian/control ===
Source: mpich
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Torquil Macdonald Sørensen <torquil@gmail.com>,
           "Adam C. Powell, IV" <hazelsct@debian.org>,
           Alastair McKinstry <mckinstry@debian.org>
Section: devel
Build-Depends: debhelper-compat (= 13),
	       gfortran,
	       dh-sequence-fortran,
               hwloc-nox,
               libhwloc-dev,
	       librdmacm-dev [!hurd-any],
	       libslurm-dev (>= 23.11) [!hurd-any],
	       libibverbs-dev (>= 1.1.7) [!hurd-any],
	       libfabric-dev [!hurd-any !powerpc !sh4],
	       libnuma-dev [!hurd-any],
	       libucx-dev [amd64 arm64 ppc64el riscv64 loong64],
               libxt-dev,
               procps,
               chrpath,
	       python3,
               quilt,
               txt2man,
	       valgrind-if-available,
               x11proto-core-dev
Build-Depends-Indep: texlive-latex-extra,
                     texlive-latex-recommended,
                     doxygen-latex
Rules-Requires-Root: no
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/science-team/mpich
Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
Homepage: https://www.mpich.org/

Package: libmpich-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${fortran:Depends},
         g++,
         libmpich12 (= ${binary:Version}),
         libhwloc-dev,
         libucx-dev [${archlist:ucx}],
         ${misc:Depends},
	 mpich (= ${binary:Version})
Description: Development files for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-4.1 standard from the Argonne National Laboratory.
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 4.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH headers and static libraries, as well
 as the compiler wrappers needed to build MPICH programs.

Package: libmpich12
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Shared libraries for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-4.1 standard from the Argonne National Laboratory.
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 4.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH shared libraries.

Package: mpich
Architecture: any
Multi-Arch: foreign
Depends: hwloc-nox | hwloc,
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
  	 ${perl:Depends},
         ${shlibs:Depends}
Recommends: libmpich-dev (= ${binary:Version})
Suggests: mpich-doc (= ${source:Version})
Description: Implementation of the MPI Message Passing Interface standard
 MPICH is a high-performance and widely portable implementation of the
 MPI-4.1 standard from the Argonne National Laboratory.
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 4.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the program binaries necessary to run MPICH programs.

Package: mpich-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Conflicts: lam-mpidoc,
           lam4-dev,
           mpi-doc,
           openmpi-doc,
           openmpi-mpidoc
Description: Documentation for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-4.1 standard from the Argonne National Laboratory.
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 4.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH documentation.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DH_VERBOSE=1
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
 
@@ -19,8 +19,8 @@
 export TZ=UTC+0
 export V=1
 
-FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
-export FC
+# FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
+# export FC
 
 export HIPCXX=clang++-19
 
@@ -52,9 +52,8 @@
 	SLURM := --with-slurm=/usr
 endif
 
-#HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(HIP_ARCH)),--with-hip=/usr,)
+HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(HIP_ARCH)),--with-hip=/usr,)
 PMIX:= $(if $(filter $(DEB_TARGET_ARCH), $(PMIX_ARCH)),--with-pmix=/usr/lib/${DEB_HOST_MULTIARCH}/pmix2,)
-HIP:= 
 
 UCX:=
 ifneq (,$(filter $(DEB_HOST_ARCH),$(CH4_UCX_ARCH)))
@@ -131,6 +130,9 @@
 		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
 	done
 
+execute_after_dh_fixperms:
+	chrpath -d  debian/libmpich12/usr/lib/*/*.so.*
+	
 execute_before_dh_auto_clean:
 	dh_auto_clean --sourcedirectory doc/installguide
 	dh_auto_clean --sourcedirectory doc/userguide
@@ -154,5 +156,3 @@
 override_dh_gencontrol:
 	dh_gencontrol -- -V'archlist:ucx=$(CH4_UCX_ARCH)'
 
-override_dh_dwz:
-	@echo "Skip dwx: crashes"

## mpich 5.0.0

=== debian/changelog ===
mpich (5.0.0-2) experimental; urgency=medium

  * dh_fixperms: don't fail on build-indep
  * Enable MPI ABI
  * Enable UCC support
  * d/gbp.conf: pristine-tar=True

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Mar 2026 20:26:27 +0000

mpich (5.0.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Feb 2026 09:47:08 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	       libfabric-dev [!hurd-any !powerpc !sh4],
 	       libnuma-dev [!hurd-any],
 	       libucx-dev [amd64 arm64 ppc64el riscv64 loong64],
+	       libucc-dev [amd64 arm64 ppc64el riscv64],
                libxt-dev,
                procps,
                chrpath,

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
 # export FC
 
-export HIPCXX=clang++-19
+export HIPCXX=clang++-21
 
 
 # Keep old library naming scheme
@@ -36,6 +36,7 @@
 # Pick one as default, unlisted ones get CH3
 CH4_UCX_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libucx-dev *\[([^]]*)\].*/\1/p' debian/control)
 CH4_OFI_ARCH:= alpha ppc64 sparc64
+UCC_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libucc-dev *\[([^]]*)\].*/\1/p' debian/control)
 HIP_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libamdhip64-dev *\[([^]]*)\].*/\1/p' debian/control)
 PMIX_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libpmix-dev *\[([^]]*)\].*/\1/p' debian/control)
 
@@ -64,16 +65,21 @@
 else
 	DEVICE:= --with-device=ch3
 endif
+ifneq (,$(filter $(DEB_HOST_ARCH),$(UCC_ARCH)))
+	UCC:= -with-ucc=/usr
+endif
 
 extra_flags += \
 	$(VERBS) \
 	$(FABRIC) \
 	$(SLURM) \
 	$(UCX) \
+	$(UCC) \
 	$(HIP) \
 	$(PMIX) \
 	$(DEVICE) \
 	--with-pm=hydra \
+        --enable-mpi-abi \
 	--with-hwloc-prefix=/usr \
 	--with-wrapper-dl-type=none \
 	--enable-shared \
@@ -131,7 +137,7 @@
 	done
 
 execute_after_dh_fixperms:
-	chrpath -d  debian/libmpich12/usr/lib/*/*.so.*
+	- chrpath -d  debian/libmpich12/usr/lib/*/*.so.* || true
 	
 execute_before_dh_auto_clean:
 	dh_auto_clean --sourcedirectory doc/installguide
